<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorator="layouts/main">
<head>
    <title>Score</title>
    <link rel="stylesheet" th:href="@{/css/profile.css}"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-slider/10.0.0/css/bootstrap-slider.min.css"/>
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css"/>
</head>
<body>

<div layout:fragment="container" id="profile" class="row">
    <div class="col-md-12">
        <div class="row body">
            <div class="col-md-4 col-md-offset-4">
                <div class="profileBox userDataBox">
                    <th:block th:include="fragments/profile::header(${userProfile}, ${avatar}, ${score})"/>
                    <canvas id="tbt-score" width="400" height="400"></canvas>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-4 col-md-offset-4 score-details">
                <table>
                    <tr>
                        <th th:text="#{profile.score.scoredOn}"></th>
                        <th th:text="#{profile.score.reason}"></th>
                        <th th:text="#{profile.score.score}"></th>
                    </tr>
                    <tr th:each="score: ${scoreDetails}">
                        <td th:text="${#dates.format(score.date, 'dd-MM-yyyy')}"></td>
                        <td th:text="#{${'activity.' + score.baseOn.name()}}"></td>
                        <td th:text="${score.score}"></td>
                    </tr>
                </table>
            </div>
        </div>
    </div>

</div>


<div layout:fragment="js">
    <script src="https://code.jquery.com/jquery-3.2.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.1/Chart.bundle.min.js"></script>
    <script th:src="@{/js/application.js}"></script>
    <script>
        var ctx = document.getElementById("tbt-score").getContext('2d');
        new Chart(ctx, {
            type: 'line',
            data: {
                labels: <th:block th:include="fragments/score::chartLabels(${scoreAggregation})"/>,
                datasets: [{
                    data: <th:block th:include="fragments/score::chartValues(${scoreAggregation})"/>,
                    borderColor: '#e3cb5b',
                    borderWidth: 2
                }]
            },
            options: {
                scales: {
                    yAxes: [{
                        ticks: {
                            beginAtZero: true
                        }
                    }]
                },
                legend: {
                    display: false
                }
            }
        });
    </script>
</div>

</body>
</html>